html, body{
  height: 100%;
  background-image: url("../img/bg_paper_mid.jpg");
  background-color: #fcf3d2;
}

main{
  padding-top: 30px;
}

::placeholder {
  color : grey;
}

#content{
  /*padding: 20px;*/
}

#text-network-wrapper {
  /*padding : 1em;*/
}

.vakya-content-hls {
  color: #1b0431;
}

.vakya-link{
  cursor: pointer;
  /*text-decoration: underline;*/
}

.vakya-link-pg:hover {
  background-color: #efefef;
}

.vakya-link-pg {
  border-bottom: 1px dotted grey;
  padding-left: 0.5em;
  margin-bottom: 0.7em !important;
  margin-top: 0.7em !important;
  padding-bottom: 0.3em;
}

.vakya-link-pg-selected {
  background-color: #d3d3d3;
}

.vakya-id {
  color: #956839;;
}

#content-area{
  display: none;
}

/*#shaastra-text{
  height: 60vh;
  overflow: auto;
  margin-bottom: 1em;
}*/

#network{
  height: 60vh;
}

#preloader{
  height: 70px;
  width: 70px;
  margin-top: 10%;
  margin-left: auto;
  margin-right: auto;
}

/*
styling side navigation bar and list.
*/

.side-nav li>a {
  padding: 0 16px;
}
/*FIX SIDEBAR DIVIDERS*/
.side-nav .divider {
  margin:5px;
  height:8px;
  border-bottom:1px solid #ffffff;
  background-color: #ffffff;
}
.side-nav li {
  padding: 0 16px;
  border-bottom:1px solid #ffffff;
}
.clicked-list-item {
  background-color: #d3d3d3;
}


/*
Styling for search results elements
*/
#search-results-container {
  max-height: 35vh;
  overflow-y: auto;
  padding-top: 0em !important;
}

.search-result {
  cursor: pointer;
  line-height: 1.7em;
}

.search-match {
  font-weight: bold;
  background-color: #e3e3e3;
  display: inline-block;
}

.no-search-results {
  color: red;
  font-style: italic;
}

.yes-search-results {
  color: green;
  font-style: italic;
}

/*
styling for vakya cards
*/
.node-vakya-card, .edge-vakya-card {
  margin: 0.3em auto 0.3em auto;
  padding-top: 0.5em !important;
  background-color: #f0f0d0;
}

.node-vakya-card-title, .edge-vakya-card-title {
  font-size: 1.2em !important;
  margin-top: 2em !important;
}

.node-vakya-card-content, .edge-vakya-card-content {
  padding-top: 0.2em !important;
  padding-bottom: 0.6em !important;
}

/* styling of formatted json values.*/
.json-pre {
  white-space: pre-wrap;
  margin-top: 0.7em !important;
  padding: 0.3em;
  overflow-y: hidden;
  background-color: #e2e2d5;
}
.json-format-key {
  /*#2f4f4f, #6B8E23, #008b8b, #2E8B57*/
  color: #2E8B57;
  padding-right: 0.2em;
}


#repo-selector {
    background-color: #f0f0d0;
    margin: 0.3em;
}
#repo-set-item {
    background-color: #fcf3d2;
}
select:required:invalid {
  color: gray;
}





 .container1 {
      max-width: 95%;
      margin: 0 auto 0 auto;
  }

  #content-ne {
    height: 90%;
    overflow: auto;
  }

  #si-card-content {
    height: 75%;
    overflow: auto;
  }

  #si-card-tabs-list {
    background-color: #f0f0d0;
  }

  #si-card {
    /*background: transparent!important;*/
    background-color: #f0f0d0!important;
  }

  #graph-card {
    /*background: transparent!important;*/
    background-color: #f0f0d0!important;
  }

  #graph-card-content {
    height: 75%;
  }

  #shaastra-text {
  }

  #content-title {
    margin-bottom: 1.5em;
  }

  #vakya-content-status {
    border-bottom: 1px solid black;
    font-weight: 600;
  }

  #ci-card {
    background-color: transparent;
  }
  #ci-card-content {
    height: 90%;
    background-color: #f0f0d0;
    padding: 0.3em;
  }

  #ci-network {
    height: 49%;
    border: 1px dotted gray;
    margin-top: 0.7em;
    position: relative;
  }

  #ci-ci-wrapper {
    height: 50%;
    overflow: auto;
    padding: 0.3em;
  }

  .showhide {
    background-color: #e2e2d5;
    color: #2E8B57 !important;
    margin-bottom: 0.3em !important;
    cursor: cell;
  }

  .ci-list {
    margin: 0em;
    margin-bottom: 0.3em;
  }

  #padartha-list-wrapper {
    float: left;
    width: 45%;
    /*border-right: 2px solid gray;*/
    height: 90%;
    padding-right:0.5em;
  }

  #padartha-list-div {
    overflow-y: scroll;
    height: 100%;
    overflow-x: auto;
  }

  #padartha-list {
  }

  #padartha-graph-nodes {
    float: left;
    width: 53%;
    margin-left: 0.3em;
    height: 90%;
  }

  #padartha-graph-nodes::after {
    float: clear;
  }

  .custom-title {
    font-size: small;
    margin: 0.5em;
    border-bottom: 1px solid;
  }

  .config-inline {
    display: inline;
    margin-right: 2em;
  }

#sv-tree-config  .config-inline {
    border: 1px dotted gray;
}

  #relation-depth {
    width: 8em;
  }

  #traversal-criteria {
    width: 10em;
  }

  .padartha-list-item {
    border-bottom: 1px dotted grey;
    margin-bottom: 0.3em;
    cursor: pointer;
  }

  .padartha-list-item:hover {
    background-color: #f0f0d0;
  }

  .pada-list-text {
    background-color: #e2e2d5;
  }

  .padartha-vakya-item {
    font-size: small;
  }

  .padartha-vakya-id {
    color: brown;
  }

  .padartha-graph-vakya-id {
    font-size: small;
    color: #956839;
  }

  .padartha-vakya-title {
  }

  #padartha-graph-nodes-list-div {
    height: 100%;
    overflow: auto;
  }

  .padartha-vl-item {
    border-bottom: 1px dotted grey;
    margin-bottom: 0.3em;
    cursor: pointer;
  }

  .mynetwork {
    min-height: 10em;
  }

  .padartha-list-item-selected {
    background-color: #d3d3d3;
  }

  .content-index-item {
    border-bottom: 1px dotted grey;
    margin-bottom: 0.3em;
    cursor: pointer;
  }

  .content-index-item-id {
    font-size: small;
    color: brown;
  }

  .content-index-item-label {
    font-size: small;
  }

  .content-index-item:hover {
    background-color: #efefef;
  }
  .content-index-item-selected {
    background-color: #d3d3d3;
  }

  .padartha-vl-item:hover {
    background-color: #efefef;
  }

  .padartha-vl-item-selected {
    background-color: #d3d3d3;
  }

  .tabs .tab a:hover, .tabs .tab a.active {
    /*background-color: bisque!important;*/
  }

  [type="checkbox"]:not(:checked), [type="checkbox"]:checked {
    position: relative!important;
    opacity: 100!important;
    pointer-events: all!important
}

#padartha-graph-type {
  display: inline-block !important;
  width: 15em;
}

.pg-list-tab-title-selected {
  background-color: burlywood;
  border: 1px dotted brown;
}
